<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection sortable
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection member_id
     * @property Grid\Column|Collection price
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection comment
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection age
     * @property Grid\Column|Collection user_name
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection sex
     * @property Grid\Column|Collection province
     * @property Grid\Column|Collection city
     * @property Grid\Column|Collection district
     * @property Grid\Column|Collection address
     * @property Grid\Column|Collection address_info
     * @property Grid\Column|Collection city_code
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection point_trade_deduct_enable
     * @property Grid\Column|Collection point_trade_deduct_unit_price
     * @property Grid\Column|Collection point_trade_deduct_max_price
     * @property Grid\Column|Collection point_trade_give_point
     * @property Grid\Column|Collection creator
     * @property Grid\Column|Collection updater
     * @property Grid\Column|Collection register_ip
     * @property Grid\Column|Collection register_terminal
     * @property Grid\Column|Collection login_ip
     * @property Grid\Column|Collection login_date
     * @property Grid\Column|Collection openid
     * @property Grid\Column|Collection balance
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection area_id
     * @property Grid\Column|Collection birthday
     * @property Grid\Column|Collection mark
     * @property Grid\Column|Collection point
     * @property Grid\Column|Collection tag_ids
     * @property Grid\Column|Collection level_id
     * @property Grid\Column|Collection experience
     * @property Grid\Column|Collection group_id
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection expires_at
     * @property Grid\Column|Collection cover
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection order_sn
     * @property Grid\Column|Collection pay_type
     * @property Grid\Column|Collection transaction_id
     * @property Grid\Column|Collection project_id
     * @property Grid\Column|Collection project_name
     * @property Grid\Column|Collection project_icon
     * @property Grid\Column|Collection pay_price
     * @property Grid\Column|Collection balance_price
     * @property Grid\Column|Collection discount_price
     * @property Grid\Column|Collection coupon_price
     * @property Grid\Column|Collection car_price
     * @property Grid\Column|Collection material_price
     * @property Grid\Column|Collection service_price
     * @property Grid\Column|Collection coach_id
     * @property Grid\Column|Collection start_time
     * @property Grid\Column|Collection end_time
     * @property Grid\Column|Collection time_long
     * @property Grid\Column|Collection true_time_long
     * @property Grid\Column|Collection payment_time
     * @property Grid\Column|Collection remark
     * @property Grid\Column|Collection pay_time
     * @property Grid\Column|Collection receiving_time
     * @property Grid\Column|Collection depart_time
     * @property Grid\Column|Collection arrive_time
     * @property Grid\Column|Collection over_time
     * @property Grid\Column|Collection refund_time
     * @property Grid\Column|Collection refund_text
     * @property Grid\Column|Collection distance
     * @property Grid\Column|Collection is_show
     * @property Grid\Column|Collection depart_lng
     * @property Grid\Column|Collection depart_lat
     * @property Grid\Column|Collection depart_address
     * @property Grid\Column|Collection arrive_img
     * @property Grid\Column|Collection arrive_lng
     * @property Grid\Column|Collection arrive_lat
     * @property Grid\Column|Collection arrive_address
     * @property Grid\Column|Collection real_address
     * @property Grid\Column|Collection address_lng
     * @property Grid\Column|Collection address_lat
     * @property Grid\Column|Collection over_img
     * @property Grid\Column|Collection over_lng
     * @property Grid\Column|Collection over_lat
     * @property Grid\Column|Collection over_address
     * @property Grid\Column|Collection agent_commission_ratio
     * @property Grid\Column|Collection agent_commission_price
     * @property Grid\Column|Collection coach_commission_ratio
     * @property Grid\Column|Collection coach_commission_price
     * @property Grid\Column|Collection company_price
     * @property Grid\Column|Collection retail_price
     * @property Grid\Column|Collection coupon_id
     * @property Grid\Column|Collection channel_id
     * @property Grid\Column|Collection channel_cate_id
     * @property Grid\Column|Collection extend_order
     * @property Grid\Column|Collection extend_order_id
     * @property Grid\Column|Collection store_id
     * @property Grid\Column|Collection user_del
     * @property Grid\Column|Collection user_end
     * @property Grid\Column|Collection sub_title
     * @property Grid\Column|Collection init_price
     * @property Grid\Column|Collection sale
     * @property Grid\Column|Collection true_sale
     * @property Grid\Column|Collection total_sale
     * @property Grid\Column|Collection max_time
     * @property Grid\Column|Collection introduce
     * @property Grid\Column|Collection explain
     * @property Grid\Column|Collection notice
     * @property Grid\Column|Collection com_balance
     * @property Grid\Column|Collection is_add
     * @property Grid\Column|Collection is_store
     * @property Grid\Column|Collection is_door
     * @property Grid\Column|Collection category_id
     * @property Grid\Column|Collection technician_id
     * @property Grid\Column|Collection work_time
     * @property Grid\Column|Collection city_id
     * @property Grid\Column|Collection brief
     * @property Grid\Column|Collection license
     * @property Grid\Column|Collection work_img
     * @property Grid\Column|Collection self_img
     * @property Grid\Column|Collection verify_text
     * @property Grid\Column|Collection verify_time
     * @property Grid\Column|Collection longitude
     * @property Grid\Column|Collection latitude
     * @property Grid\Column|Collection nation_code
     * @property Grid\Column|Collection street
     * @property Grid\Column|Collection street_number
     * @property Grid\Column|Collection adcode
     * @property Grid\Column|Collection district_code
     * @property Grid\Column|Collection phone_area_code
     * @property Grid\Column|Collection id_code
     * @property Grid\Column|Collection id_card
     * @property Grid\Column|Collection is_work
     * @property Grid\Column|Collection order_num
     * @property Grid\Column|Collection total_order_num
     * @property Grid\Column|Collection is_recommend
     * @property Grid\Column|Collection auth_status
     * @property Grid\Column|Collection alipay_number
     * @property Grid\Column|Collection auth_text
     * @property Grid\Column|Collection auth_time
     * @property Grid\Column|Collection email_verified_at
     *
     * @method Grid\Column|Collection sortable(string $label = null)
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection member_id(string $label = null)
     * @method Grid\Column|Collection price(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection comment(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection age(string $label = null)
     * @method Grid\Column|Collection user_name(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection sex(string $label = null)
     * @method Grid\Column|Collection province(string $label = null)
     * @method Grid\Column|Collection city(string $label = null)
     * @method Grid\Column|Collection district(string $label = null)
     * @method Grid\Column|Collection address(string $label = null)
     * @method Grid\Column|Collection address_info(string $label = null)
     * @method Grid\Column|Collection city_code(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection point_trade_deduct_enable(string $label = null)
     * @method Grid\Column|Collection point_trade_deduct_unit_price(string $label = null)
     * @method Grid\Column|Collection point_trade_deduct_max_price(string $label = null)
     * @method Grid\Column|Collection point_trade_give_point(string $label = null)
     * @method Grid\Column|Collection creator(string $label = null)
     * @method Grid\Column|Collection updater(string $label = null)
     * @method Grid\Column|Collection register_ip(string $label = null)
     * @method Grid\Column|Collection register_terminal(string $label = null)
     * @method Grid\Column|Collection login_ip(string $label = null)
     * @method Grid\Column|Collection login_date(string $label = null)
     * @method Grid\Column|Collection openid(string $label = null)
     * @method Grid\Column|Collection balance(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection area_id(string $label = null)
     * @method Grid\Column|Collection birthday(string $label = null)
     * @method Grid\Column|Collection mark(string $label = null)
     * @method Grid\Column|Collection point(string $label = null)
     * @method Grid\Column|Collection tag_ids(string $label = null)
     * @method Grid\Column|Collection level_id(string $label = null)
     * @method Grid\Column|Collection experience(string $label = null)
     * @method Grid\Column|Collection group_id(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection expires_at(string $label = null)
     * @method Grid\Column|Collection cover(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection order_sn(string $label = null)
     * @method Grid\Column|Collection pay_type(string $label = null)
     * @method Grid\Column|Collection transaction_id(string $label = null)
     * @method Grid\Column|Collection project_id(string $label = null)
     * @method Grid\Column|Collection project_name(string $label = null)
     * @method Grid\Column|Collection project_icon(string $label = null)
     * @method Grid\Column|Collection pay_price(string $label = null)
     * @method Grid\Column|Collection balance_price(string $label = null)
     * @method Grid\Column|Collection discount_price(string $label = null)
     * @method Grid\Column|Collection coupon_price(string $label = null)
     * @method Grid\Column|Collection car_price(string $label = null)
     * @method Grid\Column|Collection material_price(string $label = null)
     * @method Grid\Column|Collection service_price(string $label = null)
     * @method Grid\Column|Collection coach_id(string $label = null)
     * @method Grid\Column|Collection start_time(string $label = null)
     * @method Grid\Column|Collection end_time(string $label = null)
     * @method Grid\Column|Collection time_long(string $label = null)
     * @method Grid\Column|Collection true_time_long(string $label = null)
     * @method Grid\Column|Collection payment_time(string $label = null)
     * @method Grid\Column|Collection remark(string $label = null)
     * @method Grid\Column|Collection pay_time(string $label = null)
     * @method Grid\Column|Collection receiving_time(string $label = null)
     * @method Grid\Column|Collection depart_time(string $label = null)
     * @method Grid\Column|Collection arrive_time(string $label = null)
     * @method Grid\Column|Collection over_time(string $label = null)
     * @method Grid\Column|Collection refund_time(string $label = null)
     * @method Grid\Column|Collection refund_text(string $label = null)
     * @method Grid\Column|Collection distance(string $label = null)
     * @method Grid\Column|Collection is_show(string $label = null)
     * @method Grid\Column|Collection depart_lng(string $label = null)
     * @method Grid\Column|Collection depart_lat(string $label = null)
     * @method Grid\Column|Collection depart_address(string $label = null)
     * @method Grid\Column|Collection arrive_img(string $label = null)
     * @method Grid\Column|Collection arrive_lng(string $label = null)
     * @method Grid\Column|Collection arrive_lat(string $label = null)
     * @method Grid\Column|Collection arrive_address(string $label = null)
     * @method Grid\Column|Collection real_address(string $label = null)
     * @method Grid\Column|Collection address_lng(string $label = null)
     * @method Grid\Column|Collection address_lat(string $label = null)
     * @method Grid\Column|Collection over_img(string $label = null)
     * @method Grid\Column|Collection over_lng(string $label = null)
     * @method Grid\Column|Collection over_lat(string $label = null)
     * @method Grid\Column|Collection over_address(string $label = null)
     * @method Grid\Column|Collection agent_commission_ratio(string $label = null)
     * @method Grid\Column|Collection agent_commission_price(string $label = null)
     * @method Grid\Column|Collection coach_commission_ratio(string $label = null)
     * @method Grid\Column|Collection coach_commission_price(string $label = null)
     * @method Grid\Column|Collection company_price(string $label = null)
     * @method Grid\Column|Collection retail_price(string $label = null)
     * @method Grid\Column|Collection coupon_id(string $label = null)
     * @method Grid\Column|Collection channel_id(string $label = null)
     * @method Grid\Column|Collection channel_cate_id(string $label = null)
     * @method Grid\Column|Collection extend_order(string $label = null)
     * @method Grid\Column|Collection extend_order_id(string $label = null)
     * @method Grid\Column|Collection store_id(string $label = null)
     * @method Grid\Column|Collection user_del(string $label = null)
     * @method Grid\Column|Collection user_end(string $label = null)
     * @method Grid\Column|Collection sub_title(string $label = null)
     * @method Grid\Column|Collection init_price(string $label = null)
     * @method Grid\Column|Collection sale(string $label = null)
     * @method Grid\Column|Collection true_sale(string $label = null)
     * @method Grid\Column|Collection total_sale(string $label = null)
     * @method Grid\Column|Collection max_time(string $label = null)
     * @method Grid\Column|Collection introduce(string $label = null)
     * @method Grid\Column|Collection explain(string $label = null)
     * @method Grid\Column|Collection notice(string $label = null)
     * @method Grid\Column|Collection com_balance(string $label = null)
     * @method Grid\Column|Collection is_add(string $label = null)
     * @method Grid\Column|Collection is_store(string $label = null)
     * @method Grid\Column|Collection is_door(string $label = null)
     * @method Grid\Column|Collection category_id(string $label = null)
     * @method Grid\Column|Collection technician_id(string $label = null)
     * @method Grid\Column|Collection work_time(string $label = null)
     * @method Grid\Column|Collection city_id(string $label = null)
     * @method Grid\Column|Collection brief(string $label = null)
     * @method Grid\Column|Collection license(string $label = null)
     * @method Grid\Column|Collection work_img(string $label = null)
     * @method Grid\Column|Collection self_img(string $label = null)
     * @method Grid\Column|Collection verify_text(string $label = null)
     * @method Grid\Column|Collection verify_time(string $label = null)
     * @method Grid\Column|Collection longitude(string $label = null)
     * @method Grid\Column|Collection latitude(string $label = null)
     * @method Grid\Column|Collection nation_code(string $label = null)
     * @method Grid\Column|Collection street(string $label = null)
     * @method Grid\Column|Collection street_number(string $label = null)
     * @method Grid\Column|Collection adcode(string $label = null)
     * @method Grid\Column|Collection district_code(string $label = null)
     * @method Grid\Column|Collection phone_area_code(string $label = null)
     * @method Grid\Column|Collection id_code(string $label = null)
     * @method Grid\Column|Collection id_card(string $label = null)
     * @method Grid\Column|Collection is_work(string $label = null)
     * @method Grid\Column|Collection order_num(string $label = null)
     * @method Grid\Column|Collection total_order_num(string $label = null)
     * @method Grid\Column|Collection is_recommend(string $label = null)
     * @method Grid\Column|Collection auth_status(string $label = null)
     * @method Grid\Column|Collection alipay_number(string $label = null)
     * @method Grid\Column|Collection auth_text(string $label = null)
     * @method Grid\Column|Collection auth_time(string $label = null)
     * @method Grid\Column|Collection email_verified_at(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection sortable
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection member_id
     * @property Show\Field|Collection price
     * @property Show\Field|Collection status
     * @property Show\Field|Collection comment
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection age
     * @property Show\Field|Collection user_name
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection sex
     * @property Show\Field|Collection province
     * @property Show\Field|Collection city
     * @property Show\Field|Collection district
     * @property Show\Field|Collection address
     * @property Show\Field|Collection address_info
     * @property Show\Field|Collection city_code
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection point_trade_deduct_enable
     * @property Show\Field|Collection point_trade_deduct_unit_price
     * @property Show\Field|Collection point_trade_deduct_max_price
     * @property Show\Field|Collection point_trade_give_point
     * @property Show\Field|Collection creator
     * @property Show\Field|Collection updater
     * @property Show\Field|Collection register_ip
     * @property Show\Field|Collection register_terminal
     * @property Show\Field|Collection login_ip
     * @property Show\Field|Collection login_date
     * @property Show\Field|Collection openid
     * @property Show\Field|Collection balance
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection area_id
     * @property Show\Field|Collection birthday
     * @property Show\Field|Collection mark
     * @property Show\Field|Collection point
     * @property Show\Field|Collection tag_ids
     * @property Show\Field|Collection level_id
     * @property Show\Field|Collection experience
     * @property Show\Field|Collection group_id
     * @property Show\Field|Collection email
     * @property Show\Field|Collection token
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection expires_at
     * @property Show\Field|Collection cover
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection order_sn
     * @property Show\Field|Collection pay_type
     * @property Show\Field|Collection transaction_id
     * @property Show\Field|Collection project_id
     * @property Show\Field|Collection project_name
     * @property Show\Field|Collection project_icon
     * @property Show\Field|Collection pay_price
     * @property Show\Field|Collection balance_price
     * @property Show\Field|Collection discount_price
     * @property Show\Field|Collection coupon_price
     * @property Show\Field|Collection car_price
     * @property Show\Field|Collection material_price
     * @property Show\Field|Collection service_price
     * @property Show\Field|Collection coach_id
     * @property Show\Field|Collection start_time
     * @property Show\Field|Collection end_time
     * @property Show\Field|Collection time_long
     * @property Show\Field|Collection true_time_long
     * @property Show\Field|Collection payment_time
     * @property Show\Field|Collection remark
     * @property Show\Field|Collection pay_time
     * @property Show\Field|Collection receiving_time
     * @property Show\Field|Collection depart_time
     * @property Show\Field|Collection arrive_time
     * @property Show\Field|Collection over_time
     * @property Show\Field|Collection refund_time
     * @property Show\Field|Collection refund_text
     * @property Show\Field|Collection distance
     * @property Show\Field|Collection is_show
     * @property Show\Field|Collection depart_lng
     * @property Show\Field|Collection depart_lat
     * @property Show\Field|Collection depart_address
     * @property Show\Field|Collection arrive_img
     * @property Show\Field|Collection arrive_lng
     * @property Show\Field|Collection arrive_lat
     * @property Show\Field|Collection arrive_address
     * @property Show\Field|Collection real_address
     * @property Show\Field|Collection address_lng
     * @property Show\Field|Collection address_lat
     * @property Show\Field|Collection over_img
     * @property Show\Field|Collection over_lng
     * @property Show\Field|Collection over_lat
     * @property Show\Field|Collection over_address
     * @property Show\Field|Collection agent_commission_ratio
     * @property Show\Field|Collection agent_commission_price
     * @property Show\Field|Collection coach_commission_ratio
     * @property Show\Field|Collection coach_commission_price
     * @property Show\Field|Collection company_price
     * @property Show\Field|Collection retail_price
     * @property Show\Field|Collection coupon_id
     * @property Show\Field|Collection channel_id
     * @property Show\Field|Collection channel_cate_id
     * @property Show\Field|Collection extend_order
     * @property Show\Field|Collection extend_order_id
     * @property Show\Field|Collection store_id
     * @property Show\Field|Collection user_del
     * @property Show\Field|Collection user_end
     * @property Show\Field|Collection sub_title
     * @property Show\Field|Collection init_price
     * @property Show\Field|Collection sale
     * @property Show\Field|Collection true_sale
     * @property Show\Field|Collection total_sale
     * @property Show\Field|Collection max_time
     * @property Show\Field|Collection introduce
     * @property Show\Field|Collection explain
     * @property Show\Field|Collection notice
     * @property Show\Field|Collection com_balance
     * @property Show\Field|Collection is_add
     * @property Show\Field|Collection is_store
     * @property Show\Field|Collection is_door
     * @property Show\Field|Collection category_id
     * @property Show\Field|Collection technician_id
     * @property Show\Field|Collection work_time
     * @property Show\Field|Collection city_id
     * @property Show\Field|Collection brief
     * @property Show\Field|Collection license
     * @property Show\Field|Collection work_img
     * @property Show\Field|Collection self_img
     * @property Show\Field|Collection verify_text
     * @property Show\Field|Collection verify_time
     * @property Show\Field|Collection longitude
     * @property Show\Field|Collection latitude
     * @property Show\Field|Collection nation_code
     * @property Show\Field|Collection street
     * @property Show\Field|Collection street_number
     * @property Show\Field|Collection adcode
     * @property Show\Field|Collection district_code
     * @property Show\Field|Collection phone_area_code
     * @property Show\Field|Collection id_code
     * @property Show\Field|Collection id_card
     * @property Show\Field|Collection is_work
     * @property Show\Field|Collection order_num
     * @property Show\Field|Collection total_order_num
     * @property Show\Field|Collection is_recommend
     * @property Show\Field|Collection auth_status
     * @property Show\Field|Collection alipay_number
     * @property Show\Field|Collection auth_text
     * @property Show\Field|Collection auth_time
     * @property Show\Field|Collection email_verified_at
     *
     * @method Show\Field|Collection sortable(string $label = null)
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection member_id(string $label = null)
     * @method Show\Field|Collection price(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection comment(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection age(string $label = null)
     * @method Show\Field|Collection user_name(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection sex(string $label = null)
     * @method Show\Field|Collection province(string $label = null)
     * @method Show\Field|Collection city(string $label = null)
     * @method Show\Field|Collection district(string $label = null)
     * @method Show\Field|Collection address(string $label = null)
     * @method Show\Field|Collection address_info(string $label = null)
     * @method Show\Field|Collection city_code(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection point_trade_deduct_enable(string $label = null)
     * @method Show\Field|Collection point_trade_deduct_unit_price(string $label = null)
     * @method Show\Field|Collection point_trade_deduct_max_price(string $label = null)
     * @method Show\Field|Collection point_trade_give_point(string $label = null)
     * @method Show\Field|Collection creator(string $label = null)
     * @method Show\Field|Collection updater(string $label = null)
     * @method Show\Field|Collection register_ip(string $label = null)
     * @method Show\Field|Collection register_terminal(string $label = null)
     * @method Show\Field|Collection login_ip(string $label = null)
     * @method Show\Field|Collection login_date(string $label = null)
     * @method Show\Field|Collection openid(string $label = null)
     * @method Show\Field|Collection balance(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection area_id(string $label = null)
     * @method Show\Field|Collection birthday(string $label = null)
     * @method Show\Field|Collection mark(string $label = null)
     * @method Show\Field|Collection point(string $label = null)
     * @method Show\Field|Collection tag_ids(string $label = null)
     * @method Show\Field|Collection level_id(string $label = null)
     * @method Show\Field|Collection experience(string $label = null)
     * @method Show\Field|Collection group_id(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection expires_at(string $label = null)
     * @method Show\Field|Collection cover(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection order_sn(string $label = null)
     * @method Show\Field|Collection pay_type(string $label = null)
     * @method Show\Field|Collection transaction_id(string $label = null)
     * @method Show\Field|Collection project_id(string $label = null)
     * @method Show\Field|Collection project_name(string $label = null)
     * @method Show\Field|Collection project_icon(string $label = null)
     * @method Show\Field|Collection pay_price(string $label = null)
     * @method Show\Field|Collection balance_price(string $label = null)
     * @method Show\Field|Collection discount_price(string $label = null)
     * @method Show\Field|Collection coupon_price(string $label = null)
     * @method Show\Field|Collection car_price(string $label = null)
     * @method Show\Field|Collection material_price(string $label = null)
     * @method Show\Field|Collection service_price(string $label = null)
     * @method Show\Field|Collection coach_id(string $label = null)
     * @method Show\Field|Collection start_time(string $label = null)
     * @method Show\Field|Collection end_time(string $label = null)
     * @method Show\Field|Collection time_long(string $label = null)
     * @method Show\Field|Collection true_time_long(string $label = null)
     * @method Show\Field|Collection payment_time(string $label = null)
     * @method Show\Field|Collection remark(string $label = null)
     * @method Show\Field|Collection pay_time(string $label = null)
     * @method Show\Field|Collection receiving_time(string $label = null)
     * @method Show\Field|Collection depart_time(string $label = null)
     * @method Show\Field|Collection arrive_time(string $label = null)
     * @method Show\Field|Collection over_time(string $label = null)
     * @method Show\Field|Collection refund_time(string $label = null)
     * @method Show\Field|Collection refund_text(string $label = null)
     * @method Show\Field|Collection distance(string $label = null)
     * @method Show\Field|Collection is_show(string $label = null)
     * @method Show\Field|Collection depart_lng(string $label = null)
     * @method Show\Field|Collection depart_lat(string $label = null)
     * @method Show\Field|Collection depart_address(string $label = null)
     * @method Show\Field|Collection arrive_img(string $label = null)
     * @method Show\Field|Collection arrive_lng(string $label = null)
     * @method Show\Field|Collection arrive_lat(string $label = null)
     * @method Show\Field|Collection arrive_address(string $label = null)
     * @method Show\Field|Collection real_address(string $label = null)
     * @method Show\Field|Collection address_lng(string $label = null)
     * @method Show\Field|Collection address_lat(string $label = null)
     * @method Show\Field|Collection over_img(string $label = null)
     * @method Show\Field|Collection over_lng(string $label = null)
     * @method Show\Field|Collection over_lat(string $label = null)
     * @method Show\Field|Collection over_address(string $label = null)
     * @method Show\Field|Collection agent_commission_ratio(string $label = null)
     * @method Show\Field|Collection agent_commission_price(string $label = null)
     * @method Show\Field|Collection coach_commission_ratio(string $label = null)
     * @method Show\Field|Collection coach_commission_price(string $label = null)
     * @method Show\Field|Collection company_price(string $label = null)
     * @method Show\Field|Collection retail_price(string $label = null)
     * @method Show\Field|Collection coupon_id(string $label = null)
     * @method Show\Field|Collection channel_id(string $label = null)
     * @method Show\Field|Collection channel_cate_id(string $label = null)
     * @method Show\Field|Collection extend_order(string $label = null)
     * @method Show\Field|Collection extend_order_id(string $label = null)
     * @method Show\Field|Collection store_id(string $label = null)
     * @method Show\Field|Collection user_del(string $label = null)
     * @method Show\Field|Collection user_end(string $label = null)
     * @method Show\Field|Collection sub_title(string $label = null)
     * @method Show\Field|Collection init_price(string $label = null)
     * @method Show\Field|Collection sale(string $label = null)
     * @method Show\Field|Collection true_sale(string $label = null)
     * @method Show\Field|Collection total_sale(string $label = null)
     * @method Show\Field|Collection max_time(string $label = null)
     * @method Show\Field|Collection introduce(string $label = null)
     * @method Show\Field|Collection explain(string $label = null)
     * @method Show\Field|Collection notice(string $label = null)
     * @method Show\Field|Collection com_balance(string $label = null)
     * @method Show\Field|Collection is_add(string $label = null)
     * @method Show\Field|Collection is_store(string $label = null)
     * @method Show\Field|Collection is_door(string $label = null)
     * @method Show\Field|Collection category_id(string $label = null)
     * @method Show\Field|Collection technician_id(string $label = null)
     * @method Show\Field|Collection work_time(string $label = null)
     * @method Show\Field|Collection city_id(string $label = null)
     * @method Show\Field|Collection brief(string $label = null)
     * @method Show\Field|Collection license(string $label = null)
     * @method Show\Field|Collection work_img(string $label = null)
     * @method Show\Field|Collection self_img(string $label = null)
     * @method Show\Field|Collection verify_text(string $label = null)
     * @method Show\Field|Collection verify_time(string $label = null)
     * @method Show\Field|Collection longitude(string $label = null)
     * @method Show\Field|Collection latitude(string $label = null)
     * @method Show\Field|Collection nation_code(string $label = null)
     * @method Show\Field|Collection street(string $label = null)
     * @method Show\Field|Collection street_number(string $label = null)
     * @method Show\Field|Collection adcode(string $label = null)
     * @method Show\Field|Collection district_code(string $label = null)
     * @method Show\Field|Collection phone_area_code(string $label = null)
     * @method Show\Field|Collection id_code(string $label = null)
     * @method Show\Field|Collection id_card(string $label = null)
     * @method Show\Field|Collection is_work(string $label = null)
     * @method Show\Field|Collection order_num(string $label = null)
     * @method Show\Field|Collection total_order_num(string $label = null)
     * @method Show\Field|Collection is_recommend(string $label = null)
     * @method Show\Field|Collection auth_status(string $label = null)
     * @method Show\Field|Collection alipay_number(string $label = null)
     * @method Show\Field|Collection auth_text(string $label = null)
     * @method Show\Field|Collection auth_time(string $label = null)
     * @method Show\Field|Collection email_verified_at(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
